local gui = LuaGUI(gGUI)
local spriteManager = LuaSpriteManager(gSpriteManager)
local townState = LuaTownState(gTownState)
local utils = LuaUtils(gUtils)

local I = {}

function I.create ()

	I.window = LuaWindow(gui:createWindow({
		width = 220,
		height = 273,
		verticalAlignment = VerticalAlignment.Middle,
		id = "storeWnd",
		title = "%menu_town_store"
	}))

	
	-- Window action buttons

	local doneButton = LuaButton(gui:createButton({
		parent = I.window:instance(),
		x = 161,
		y = 260,
		width = 67,
		height = 18,
		title = "%done_button"
	}))


	-- Bind callbacks
	
	doneButton:onClick(function()
		gui:scheduleForDeletion(I.window:instance())
		UI.Interfaces["docks"] = nil
		I = nil
	end)

end

UI.Interfaces["docks"] = I